Create a domain certificate authority on an event broker service

A domain certificate authority is a trusted root or intermediate certificate that the event broker service uses to validate server certificates for outbound TLS connections.

Certificate content is write-only and is never returned.

Adds a domain certificate authority to the event broker service. After the operation completes, the event broker service trusts server certificates issued by this certificate authority when it opens outbound TLS connections, for example to another event broker service or to an LDAP server.

This request is asynchronous. The response contains an operation ID that you can use to poll for completion using Get the status of a service operation.

Your token must have one of the permissions listed in the Token Permissions.



Token Permissions: [ mission_control:access or service_requests:post:certificate_authentication ]
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The unique identifier for the event broker service.

Body Params

The domain certificate authority to create.

string
required
length ≥ 1
(?!\.{1,2}$)[A-Za-z0-9._-]{1,64}

The name of the certificate authority. The name must be 1 to 64 characters. Use only letters, digits, periods, underscores, and hyphens. The name must be unique among the certificate authorities of the same type on the event broker service. You cannot change the name after you create the certificate authority.

string
required
length ≥ 1

The PEM-encoded X.509 certificate. Provide exactly one certificate. This field is write-only and is never returned.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
*/*